summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeff Quast <contact@jeffquast.com>2015-04-24 21:25:46 -0700
committerJeff Quast <contact@jeffquast.com>2015-04-24 21:25:46 -0700
commit2d35bbafa849db7a8e483c626d2d392469b82fb6 (patch)
treed333225595c31faf46a33346bf3a2784dbcfa85c
parenta93fea6fa6ec00f0cefa14d6899051ca312df27b (diff)
parent71bbdf52ac153c7eaca631637ec96e63de50c2c7 (diff)
downloadpexpect-git-2d35bbafa849db7a8e483c626d2d392469b82fb6.tar.gz
Merge branch 'bugfix-virtualenv' into freebsd-support
-rw-r--r--requirements-testing.txt5
-rwxr-xr-xtools/teamcity-runtests.sh3
2 files changed, 7 insertions, 1 deletions
diff --git a/requirements-testing.txt b/requirements-testing.txt
new file mode 100644
index 0000000..1894122
--- /dev/null
+++ b/requirements-testing.txt
@@ -0,0 +1,5 @@
+pytest
+pytest-cov
+coverage
+coveralls
+pytest-capturelog
diff --git a/tools/teamcity-runtests.sh b/tools/teamcity-runtests.sh
index 7025c23..bcb28f7 100755
--- a/tools/teamcity-runtests.sh
+++ b/tools/teamcity-runtests.sh
@@ -27,7 +27,8 @@ fi
. ${venv_wrapper}
rmvirtualenv ${venv} || true
-mkvirtualenv -p `which python${pyversion}` ${venv}
+mkvirtualenv -p `which python${pyversion}` ${venv} || true
+workon ${venv}
# install ptyprocess
cd $here/../../ptyprocess